Module javafx.base
Package javafx.beans.property

# Class SimpleStringProperty

java.lang.Object
javafx.beans.binding.StringExpression
javafx.beans.property.ReadOnlyStringProperty
javafx.beans.property.StringProperty
javafx.beans.property.StringPropertyBase
javafx.beans.property.SimpleStringProperty

All Implemented Interfaces:
  `Observable`, `Property<String>`, `ReadOnlyProperty<String>`, `ObservableObjectValue<String>`, `ObservableStringValue`, `ObservableValue<String>`, `WritableObjectValue<String>`, `WritableStringValue`, `WritableValue<String>`

Direct Known Subclasses:
  `ReadOnlyStringWrapper`

public class SimpleStringProperty extends StringPropertyBase
This class provides a full implementation of a `Property` wrapping a `String` value.

Since:
  JavaFX 2.0
See Also:
  - `StringPropertyBase`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleStringProperty()`
  The constructor of `StringProperty`
  `SimpleStringProperty(Object bean, String name)`
  The constructor of `StringProperty`
  `SimpleStringProperty(Object bean, String name, String initialValue)`
  The constructor of `StringProperty`
  `SimpleStringProperty(String initialValue)`
  The constructor of `StringProperty`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getBean()`
  Returns the `Object` that contains this property.
  `String`
  `getName()`
  Returns the name of this property.

  ### Methods declared in class javafx.beans.property.StringPropertyBase

  `addListener, addListener, bind, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, set, toString, unbind`

  ### Methods declared in class javafx.beans.property.StringProperty

  `bindBidirectional, bindBidirectional, bindBidirectional, setValue, unbindBidirectional, unbindBidirectional`

  ### Methods declared in class javafx.beans.binding.StringExpression

  `concat, getValue, getValueSafe, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, isEmpty, isEqualTo, isEqualTo, isEqualToIgnoreCase, isEqualToIgnoreCase, isNotEmpty, isNotEqualTo, isNotEqualTo, isNotEqualToIgnoreCase, isNotEqualToIgnoreCase, isNotNull, isNull, length, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, stringExpression`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.Observable

  `subscribe`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `flatMap, getValue, map, orElse, subscribe, subscribe, when`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### SimpleStringProperty

    public SimpleStringProperty()
    The constructor of `StringProperty`

  - ### SimpleStringProperty

    public SimpleStringProperty(String initialValue)
    The constructor of `StringProperty`
    Parameters:
      `initialValue` - the initial value of the wrapped value

  - ### SimpleStringProperty

    public SimpleStringProperty(Object bean, String name)
    The constructor of `StringProperty`
    Parameters:
      `bean` - the bean of this `StringProperty`
      `name` - the name of this `StringProperty`

  - ### SimpleStringProperty

    public SimpleStringProperty(Object bean, String name, String initialValue)
    The constructor of `StringProperty`
    Parameters:
      `bean` - the bean of this `StringProperty`
      `name` - the name of this `StringProperty`
      `initialValue` - the initial value of the wrapped value

- ## Method Details

  - ### getBean

    public Object getBean()
    Returns the `Object` that contains this property. If this property is not contained in an `Object`, `null` is returned.
    Returns:
      the containing `Object` or `null`

  - ### getName

    public String getName()
    Returns the name of this property. If the property does not have a name, this method returns an empty `String`.
    Returns:
      the name or an empty `String`